Wymagania programowe

Przeglądanie budowanych za pomocą CMS DRAGON witryn nie jest ograniczone wygórowanymi wymogami dotyczącymi przeglądarki.

Budowany jest standardowy html, poprawnie interpretowany również przez bardzo stare przeglądarki.

 

Do przeprowadzania edycji witryny przez redaktora (edycja treści, definiowanie menu, zakładek,  nadawania uprawnień, ...) wymagane jest już posiadanie najnowszej wersji przeglądarki.

Jest to spowodowane tym, że dla wygody redaktora, do operacji edycyjnych, w celu ich usprawnienia i przyśpieszenia, używane są zaawansowane technologie programistyczne często nieobsługiwane przez starsze wersje przeglądarek.

 

Poprawność działania mechanizmów edycyjnych jest testowana na następujących przeglądarkach:
- Firefox 20.0
- Chrome 26.0
- Internet Explorer 10.0

- Opera 12.14
- Safari 5.1.7


W wypadku pojawienia się problemów podczas operacji edycyjnych należy się upewnić, czy na komputerze zainstalowana jest najnowsze wersji przeglądarki.

Starsze wersje mogą sygnalizować błędy obsługi skryptów.

 

Niezalecane jest naprzemienne edytowanie treści tego samego anonsu różnymi przeglądarkami - na przykład stworzenie anonsu za pomocą Internet Explorera, a potem poprawianie jego treści za pomocą Firefoxa.
Przeglądarki, niestety, nie są ze sobą w pełni zgodne i potrafią zepsuć sobie wzajemnie wygląd anonsu podczas jego edycji (popsuć formatowania, odstępy, ...) - jakby prowadziły z sobą wojnę.
Warto zdecydować się na używanie do edycji treści jednej przeglądarki.
Na dzień dzisiejszy wydaje się, że najwygodniej i najbardziej stabilnie zachowuje się Google Chrome - wygodny do celów edycyjnych tak samo jak Internet Explorer, ale pozbawiony wielu jego wad powodujących nieoczekiwane zachowania edytora.

[ Cookies - info ]Oprogramowanie CMS: DragoN-NogarD © ( www: http://nogard.pl )